## org.apache.geronimo.osgi.registry
Class ProviderBundleTrackerCustomizer

    java.lang.Object
      org.apache.geronimo.osgi.registry.ProviderBundleTrackerCustomizer

All Implemented Interfaces:
  org.osgi.util.tracker.BundleTrackerCustomizer

    public class ProviderBundleTrackerCustomizer

extends java.lang.Object
implements org.osgi.util.tracker.BundleTrackerCustomizer

Constructor Summary
`ProviderBundleTrackerCustomizer(Activator a, org.osgi.framework.Bundle b, ProviderRegistryImpl r)`

Method Summary
`java.lang.Object` `addingBundle(org.osgi.framework.Bundle bundle, org.osgi.framework.BundleEvent event)` Handle the activation of a new bundle.
`void` `modifiedBundle(org.osgi.framework.Bundle bundle, org.osgi.framework.BundleEvent event, java.lang.Object object)`
`void` `removedBundle(org.osgi.framework.Bundle bundle, org.osgi.framework.BundleEvent event, java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderBundleTrackerCustomizer

    public ProviderBundleTrackerCustomizer(Activator a,
                                           org.osgi.framework.Bundle b,
                                           ProviderRegistryImpl r)

Method Detail

### addingBundle

    public java.lang.Object addingBundle(org.osgi.framework.Bundle bundle,
                                         org.osgi.framework.BundleEvent event)

  Handle the activation of a new bundle.

  Specified by:
    `addingBundle` in interface `org.osgi.util.tracker.BundleTrackerCustomizer`
  Parameters:
    `bundle` - The source bundle.
    `event` - The bundle event information.
  Returns:
    A return object.

### modifiedBundle

    public void modifiedBundle(org.osgi.framework.Bundle bundle,
                               org.osgi.framework.BundleEvent event,
                               java.lang.Object object)

  Specified by:
    `modifiedBundle` in interface `org.osgi.util.tracker.BundleTrackerCustomizer`

### removedBundle

    public void removedBundle(org.osgi.framework.Bundle bundle,
                              org.osgi.framework.BundleEvent event,
                              java.lang.Object object)

  Specified by:
    `removedBundle` in interface `org.osgi.util.tracker.BundleTrackerCustomizer`